complexType "GenericProduct"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 35 elements
Defined: | globally in fpml-generic-5-5.xsd; see XML source
Includes: | definitions of 12 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, assetClass*, embeddedOptionType[0..2])?, multiLeg?, ((buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?) | counterpartyReference[0..2])?, premium?, effectiveDate?, expirationDate?, terminationDate?, underlyer*, notional*, (grade*, settlementPeriods*, loadType?, quantity?, quantityFrequency?, fixedPrice?, interconnectionPoint?)?, (optionEntitlement?, numberOfOptions?)?, (optionType?, commencementDate?, exerciseStyle?, strike*)?, paymentFrequency*, resetFrequency*, settlementCurrency*, settlementType?
</...>

Content Model Elements (35):

  assetClass (defined in Product.model group),
  buyerAccountReference,
  buyerPartyReference (defined in BuyerSeller.model group),
  commencementDate (defined in GenericOptionAttributes.model group),
  counterpartyReference,
  effectiveDate (defined in GenericProduct complexType),
  embeddedOptionType,
  exerciseStyle,
  expirationDate (defined in GenericProduct complexType),
  fixedPrice (defined in GenericCommodityAttributes.model group),
  grade (defined in GenericCommodityAttributes.model group),
  interconnectionPoint (defined in GenericCommodityAttributes.model group),
  loadType (defined in GenericCommodityAttributes.model group),
  multiLeg,
  notional (defined in GenericProduct complexType),
  numberOfOptions (defined in GenericEquityAttributes.model group),
  optionEntitlement (defined in GenericEquityAttributes.model group),
  optionType (defined in GenericOptionAttributes.model group),
  paymentFrequency (defined in GenericProduct complexType),
  premium (defined in GenericProduct complexType),
  primaryAssetClass (defined in Product.model group),
  productId (defined in Product.model group),
  productType (defined in Product.model group),
  quantity (defined in GenericCommodityAttributes.model group),
  quantityFrequency (defined in GenericCommodityAttributes.model group),
  resetFrequency (defined in GenericProduct complexType),
  secondaryAssetClass (defined in Product.model group),
  sellerAccountReference,
  sellerPartyReference (defined in BuyerSeller.model group),
  settlementCurrency (defined in GenericProduct complexType),
  settlementPeriods (defined in GenericCommodityAttributes.model group),
  settlementType (defined in GenericProduct complexType),
  strike (defined in GenericOptionAttributes.model group),
  terminationDate (defined in GenericProduct complexType),
  underlyer (defined in GenericProduct complexType)

All Direct / Indirect Based Elements (2):

  genericProduct, nonSchemaProduct

Known Usage Locations

- As direct type of elements (2):
  genericProduct, nonSchemaProduct

Annotation
Simple product representation providing key information about a variety of different products. Generic products - for use in Transparency reporting to define a product that represents an OTC derivative transaction whose economics are not fully described using an FpML schema. In other views, generic products are present for convenience to support internal messaging and workflows that are cross-product. Generic products are not full trade representations as such they are not intended to be used for confirming trades.
Type Definition Detail

Type Derivation Tree Product (extension) GenericProduct

XML Source (w/o annotations (10); see within schema source)

<xsd:complexType name="GenericProduct"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="multiLeg" type="xsd:boolean"/> <xsd:choice minOccurs="0"> <xsd:group ref="BuyerSeller.model"/> <xsd:element maxOccurs="2" minOccurs="0" name="counterpartyReference" type="PartyReference"/> </xsd:choice> <xsd:element minOccurs="0" name="premium" type="SimplePayment"/> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableDate2"/> <xsd:element minOccurs="0" name="expirationDate" type="AdjustableDate2"/> <xsd:element minOccurs="0" name="terminationDate" type="AdjustableDate2"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="underlyer" type="TradeUnderlyer2"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="notional" type="CashflowNotional"/> <xsd:group minOccurs="0" ref="GenericCommodityAttributes.model"/> <xsd:group minOccurs="0" ref="GenericEquityAttributes.model"/> <xsd:group minOccurs="0" ref="GenericOptionAttributes.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="paymentFrequency" type="GenericFrequency"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="resetFrequency" type="GenericResetFrequency"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementCurrency" type="IdentifiedCurrency"/> <xsd:element minOccurs="0" name="settlementType" type="SettlementTypeEnum"/> <!--<xsd:element name="dayCountFraction" type="DayCountFraction" minOccurs="0" maxOccurs="unbounded"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies a day count fraction or fractions that apply to the trade; this is provided to meet regulatory reporting requirements, but is not sufficient to to fully represent the economics of the trade..</xsd:documentation> </xsd:annotation> </xsd:element>--> <!-- <xsd:choice> <xsd:element name="dayCountFraction" type="DayCountFraction" minOccurs="0" maxOccurs="unbounded"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies a day count fraction or fractions that apply to the trade; this is provided to meet regulatory reporting requirements, but is not sufficient to to fully represent the economics of the trade..</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="dayCountConvention" type="GenericDayCount" minOccurs="0" maxOccurs="unbounded"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies a day count fraction or fractions that apply to the trade; this is provided to meet regulatory reporting requirements, but is not sufficient to to fully represent the economics of the trade. This version allows the day count to be linked to an underlying asset.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> --> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 12/35)
counterpartyReference

  Type: | PartyReference, empty content

  XML Source (see within schema source)

  <xsd:element maxOccurs="2" minOccurs="0" name="counterpartyReference" type="PartyReference"/>

effectiveDate

  Type: | AdjustableDate2, complex content

  The earliest of all the effective dates of all constituent streams.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableDate2"/>

expirationDate

  Type: | AdjustableDate2, complex content

  For options, the last exercise date of the option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expirationDate" type="AdjustableDate2"/>

multiLeg

  Type: | xsd:boolean, predefined, simple content

  Indicates whether this transaction has multiple components, not all of which may be reported. The use of this field is not recommended, and it may be deprecated in a future version of this standard.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="multiLeg" type="xsd:boolean"/>

notional

  Type: | CashflowNotional, complex content

  The notional or notionals in effect on the reporting date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="notional" type="CashflowNotional"/>

paymentFrequency

  Type: | GenericFrequency, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="paymentFrequency" type="GenericFrequency"/>

premium

  Type: | SimplePayment, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="premium" type="SimplePayment"/>

resetFrequency

  Type: | GenericResetFrequency, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="resetFrequency" type="GenericResetFrequency"/>

settlementCurrency

  Type: | IdentifiedCurrency, simple content

  The currency or currencies in which the product can settle.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementCurrency" type="IdentifiedCurrency"/>

settlementType

  Type: | SettlementTypeEnum, simple content

  How the trade settles (cash or physical). This element is also used for CFTC the "Delivery Type" field.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Cash" | - | The intrinsic value of the option will be delivered by way of a cash settlement amount determined, (i) by reference to the differential between the strike price and the settlement price; or (ii) in accordance with a bilateral agreement between the parties See: http://www.FpML.org
  "Physical" | - | The securities underlying the transaction will be delivered by (i) in the case of a call, the seller to the buyer, or (ii) in the case of a put, the buyer to the seller versus a settlement amount equivalent to the strike price per share See: http://www.FpML.org
  "Election" | - | Allow Election of either Cash or Physical settlement See: http://www.FpML.org
  "CashOrPhysical" | - | Allow use of either Cash or Physical settlement without prior Election See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementType" type="SettlementTypeEnum"/>

terminationDate

  Type: | AdjustableDate2, complex content

  The latest of all of the termination (accrual end) dates of the constituent or underlying streams.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="terminationDate" type="AdjustableDate2"/>

underlyer

  Type: | TradeUnderlyer2, complex content

  The set of underlyers to the trade that can be used in computing the trade's cashflows. If this information is needed to identify the trade, all of the trade's underlyers should be specified, whether or not they figure into the cashflow calculation. Otherwise, only those underlyers used to compute this particular cashflow need be supplied.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="underlyer" type="TradeUnderlyer2"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.